# ReflectionClassConstant::export

(PHP 7 >= 7.1.0)

ReflectionClassConstant::export — Export

### Description

public static ReflectionClassConstant::export ( mixed `$class` , string `$name` [, bool `$return` ] ) : string

Exports a reflection.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`class`

  The reflection to export.

`name`

  The class constant name.

`return`

  Setting to `TRUE` will return the export, as opposed to emitting it. Setting to `FALSE` (the default) will do the opposite.

### Return Values

### See Also

- ReflectionClassConstant::__toString() - Returns the string representation of the ReflectionClassConstant object